:root {
    --movie-card-height: 240px;
}

.movie-card {
    display: inline-block;
    position: relative;
    width: 180px;
    height: 240px;
    margin: 5px;
    color: #fff;
    cursor: pointer;
    background: #0a58ca;
}

.movie-card:hover > .movie-card-b {
    display: flex;
}

.movie-card-a {
    width: 100%;
    height: 100%;
}

.movie-card-a > img {
    width: 100%;
    height: 100%;
}

.movie-card-b {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
    white-space: normal;
    padding: 0 5px;
    align-items: end;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0), rgba(0, 0, 0, 1.0));
}

.movie-card-b > a {
    color: #fff;
    text-decoration: none;
}

.movie-card-b > a:hover {
    color: #fff;
}

.movie-card_ranking-number {
    width: 80px;
    height: 100px;
}

.movie-card_vq {
    position: absolute;
    width: auto;
    height: 18px;
    left: 0;
    top: 0;
    color: #fff;
    background: #0d6efd;
    line-height: 1.7em;
    font-size: 12px;
    font-weight: bold;
    text-align: center;
    padding: 0px 8px;
    margin: 4px;
    border-radius: 4px;
}
.movie-card_views {
    position: absolute;
    width: auto;
    height: 18px;
    right: 0;
    top: 0;
    color: #fff;
    background: rgba(0, 0, 0, .6);
    line-height: 1.7em;
    font-size: 12px;
    font-weight: bold;
    text-align: center;
    padding: 0px 8px;
    margin: 4px;
    border-radius: 4px;
}

@media only screen and (max-width: 820px) {
    :root {
        --movie-card-width: calc((100vw * 0.3));
        --movie-card-height: calc((100vw * 0.3) * 1.3333);
    }
    .movie-card {
        width: var(--movie-card-width);
        height: var(--movie-card-height);
        margin: 1px;
    }
    .movie-card_ranking-number {
        width: calc(var(--movie-card-width) * 0.4444);
        height: calc(var(--movie-card-height) * 0.4166);
    }
    .movie-card_vq {
        left: unset;
        right: 0;
        top: 22px;
    }
}
